Package io.vertx.ext.bridge

## Class BridgeOptions

- java.lang.Object
- - io.vertx.ext.bridge.BridgeOptions

- Direct Known Subclasses:
    `BridgeOptions`, `SockJSBridgeOptions`

      public class BridgeOptions
      extends Object

  Specify the event bus bridge options.
  Author:
    Clement Escoffier

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BridgeOptions()` | Creates a new instance of `BridgeOptions`, without any inbound and outbound permitted.
    `BridgeOptions​(JsonObject json)` | Creates a new instance of `BridgeOptions` from its JSON representation.
    `BridgeOptions​(BridgeOptions that)` | Creates a new instance of `BridgeOptions` by copying the content of another `BridgeOptions`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `BridgeOptions` | `addInboundPermitted​(PermittedOptions permitted)` | Adds an inbound permitted option to the current `BridgeOptions`.
    `BridgeOptions` | `addOutboundPermitted​(PermittedOptions permitted)` | Adds an outbound permitted option to the current `BridgeOptions`.
    `List<PermittedOptions>` | `getInboundPermitteds()` |
    `List<PermittedOptions>` | `getOutboundPermitteds()` |
    `BridgeOptions` | `setInboundPermitteds​(List<PermittedOptions> inboundPermitted)` | Sets the list of inbound permitted options.
    `BridgeOptions` | `setOutboundPermitteds​(List<PermittedOptions> outboundPermitted)` | Sets the list of outbound permitted options.
    `JsonObject` | `toJson()` | Serializes the current `BridgeOptions` to JSON.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BridgeOptions

          public BridgeOptions()

      Creates a new instance of `BridgeOptions`, without any inbound and outbound permitted.

    - #### BridgeOptions

          public BridgeOptions​(BridgeOptions that)

      Creates a new instance of `BridgeOptions` by copying the content of another `BridgeOptions`
      Parameters:
        `that` - the `BridgeOptions` to copy.

    - #### BridgeOptions

          public BridgeOptions​(JsonObject json)

      Creates a new instance of `BridgeOptions` from its JSON representation. This method uses the generated converter.
      Parameters:
        `json` - the serialized `BridgeOptions`
      See Also:
        `BridgeOptionsConverter`

  - ### Method Detail

    - #### toJson

          public JsonObject toJson()

      Serializes the current `BridgeOptions` to JSON. This method uses the generated converter.
      Returns:
        the serialized object

    - #### addInboundPermitted

          public BridgeOptions addInboundPermitted​(PermittedOptions permitted)

      Adds an inbound permitted option to the current `BridgeOptions`.
      Parameters:
        `permitted` - the inbound permitted
      Returns:
        the current `BridgeOptions`.

    - #### getInboundPermitteds

          public List<PermittedOptions> getInboundPermitteds()

      Returns:
        the list of inbound permitted options. Empty if none.

    - #### setInboundPermitteds

          public BridgeOptions setInboundPermitteds​(List<PermittedOptions> inboundPermitted)

      Sets the list of inbound permitted options.
      Parameters:
        `inboundPermitted` - the list to use, must not be {@link null}. This method use the direct list reference (and doesn't create a copy).
      Returns:
        the current `BridgeOptions`.

    - #### addOutboundPermitted

          public BridgeOptions addOutboundPermitted​(PermittedOptions permitted)

      Adds an outbound permitted option to the current `BridgeOptions`.
      Parameters:
        `permitted` - the outbound permitted
      Returns:
        the current `BridgeOptions`.

    - #### getOutboundPermitteds

          public List<PermittedOptions> getOutboundPermitteds()

      Returns:
        the list of outbound permitted options. Empty if none.

    - #### setOutboundPermitteds

          public BridgeOptions setOutboundPermitteds​(List<PermittedOptions> outboundPermitted)

      Sets the list of outbound permitted options.
      Parameters:
        `outboundPermitted` - the list to use, must not be {@link null}. This method use the direct list reference (and doesn't create a copy).
      Returns:
        the current `BridgeOptions`.